import matplotlib.pyplot as plt
numargs = loglaplace.numargs
[ c ] = [0.9,] * numargs
rv = loglaplace(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = loglaplace.cdf(x, c)
h = plt.semilogy(np.abs(x - loglaplace.ppf(prb, c)) + 1e-20)

# Random number generation

R = loglaplace.rvs(c, size=100)
